Create resolution link | Moov Documentation
Create resolution link
Create a resolution link for the specified account. Resolution links are temporary, secure links sent to merchants to resolve account requirements such as KYC verification or document uploads. Only one active resolution link is allowed per connected account.
To access this endpoint using an access token you'll need to specify the /accounts/{accountID}/profile.write, /accounts/{accountID}/representatives.write and /accounts/{accountID}/files.write scopes.
POST
/accounts/{accountID}/resolution-links
Ask
curl -X POST "https://api.moov.io/accounts/{accountID}/resolution-links" \
-H "Authorization: Bearer {token}" \
-H "X-Moov-Version: v2026.07.00" \
-d '{
"recipient": {
"phone": {
"number": "5555555555",
"countryCode": "1"
}
}
}'
Ask
import { Moov } from "@moovio/sdk";
const moov = new Moov({
security: {
username: "",
password: "",
},
});
async function run() {
const result = await moov.resolutionLinks.create({
accountID: "<id>",
createResolutionLink: {
recipient: {
phone: {
number: "5555555555",
countryCode: "1",
},
},
},
});
console.log(result);
}
run();
Ask
declare(strict_types=1);
require 'vendor/autoload.php';
use Moov\MoovPhp;
use Moov\MoovPhp\Models\Components;
$sdk = MoovPhp\Moov::builder()
->setSecurity(
new Components\Security(
username: '',
password: '',
)
)
->build();
$createResolutionLink = new Components\CreateResolutionLink(
recipient: new Components\ResolutionLinkRecipient(
phone: new Components\PhoneNumber(
number: '5555555555',
countryCode: '1',
),
),
);
$response = $sdk->resolutionLinks->create(
accountID: '<id>',
createResolutionLink: $createResolutionLink
);
if ($response->resolutionLink !== null) {
// handle response
}
Ask
package hello.world;
import io.moov.sdk.Moov;
import io.moov.sdk.models.components.*;
import io.moov.sdk.models.errors.CreateResolutionLinkError;
import io.moov.sdk.models.errors.GenericError;
import io.moov.sdk.models.operations.CreateResolutionLinkResponse;
import java.lang.Exception;
public class Application {
public static void main(String[] args) throws GenericError, CreateResolutionLinkError, Exception {
Moov sdk = Moov.builder()
.security(Security.builder()
.username("")
.password("")
.build())
.build();
CreateResolutionLinkResponse res = sdk.resolutionLinks().create()
.accountID("<id>")
.createResolutionLink(CreateResolutionLink.builder()
.recipient(ResolutionLinkRecipient.builder()
.phone( PhoneNumber.builder()
.number("5555555555")
.countryCode("1")
.build())
.build())
.build())
.call();
if (res.resolutionLink().isPresent()) {
System.out.println(res.resolutionLink().get());
}
}
}
Ask
from moovio_sdk import Moov
from moovio_sdk.models import components
with Moov(
security=components.Security(
username="",
password="",
),
) as moov:
res = moov.resolution_links.create(account_id="<id>", recipient={
"phone": {
"number": "5555555555",
"country_code": "1",
},
})
# Handle response
print(res)
Ask
require 'moov_ruby'
Models = ::Moov::Models
s = ::Moov::Client.new(
security: Models::Components::Security.new(
username: '',
password: ''
)
)
res = s.resolution_links.create(account_id: '<id>', create_resolution_link: Models::Components::CreateResolutionLink.new(
recipient: Models::Components::ResolutionLinkRecipient.new(
phone: Models::Components::PhoneNumber.new(
number: '5555555555',
country_code: '1'
)
)
))
unless res.resolution_link.nil?
# handle response
end
Ask
using Moov.Sdk;
using Moov.Sdk.Models.Components;
var sdk = new MoovClient(security: new Security() {
Username = "",
Password = "",
});
var res = await sdk.ResolutionLinks.CreateAsync(
accountID: "<id>",
body: new CreateResolutionLink() {
Recipient = new ResolutionLinkRecipient() {
Phone = new PhoneNumber() {
Number = "5555555555",
CountryCode = "1",
},
},
}
);
// handle response
The request completed successfully.
Ask
Example
{
"accountID": "f47ac10b-58cc-4372-a567-0e02b2c3d479",
"code": "bwebMOhZ85",
"createdOn": "2026-07-01T12:00:00Z",
"expiresOn": "2026-07-08T12:00:00Z",
"partnerAccountID": "0d8e0d6e-e4a2-4f1b-8c3d-1b9e0f5a7c2d",
"recipient": "15555555555",
"status": "active",
"updatedOn": "2026-07-01T12:00:00Z",
"url": "https://moov.link/r/bwebMOhZ85"
}
Response headers
A unique identifier used to trace requests.
The server could not understand the request due to invalid syntax.
Ask
Example
{
"error": "string"
}
Response headers
A unique identifier used to trace requests.
The request contained missing or expired authentication.
Response headers
A unique identifier used to trace requests.
The user is not authorized to make the request.
Response headers
A unique identifier used to trace requests.
The requested resource was not found.
Response headers
A unique identifier used to trace requests.
The request conflicted with the current state of the target resource.
Ask
Example
{
"error": "string"
}
Response headers
A unique identifier used to trace requests.
The request was well-formed, but the contents failed validation. Check the request for missing or invalid fields.
Ask
Example
Describes validation errors for the create resolution link request.
{
"email": "string",
"phone": "string"
}
Response headers
A unique identifier used to trace requests.
Request was refused due to rate limiting.
Response headers
A unique identifier used to trace requests.
The request failed due to an unexpected error.
Response headers
A unique identifier used to trace requests.
The request failed because a downstream service failed to respond.
Response headers
A unique identifier used to trace requests.
Set this header to v2026.07.00 to use the API described in this specification. When omitted, the server defaults to v2024.01.00, which may not match the behavior documented here.
Possible values:
v2026.07.00
Request body for creating a resolution link.
The recipient contact information for the resolution link.
Contact information for the recipient of a resolution link. Provide either email or phone, but not both.
Show child attributes
The email address of the recipient.
The phone number of the recipient.
Show child attributes
A temporary, secure link sent to a merchant to resolve account requirements such as KYC verification or document uploads.
The ID of the merchant account this resolution link is associated with.
A unique identifier for a Moov resource. Supports UUID format (xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx) or typed format with base32-encoded UUID and type suffix (e.g., kuoaydiojf7uszaokc2ggnaaaa_xfer).
A unique nanoid identifier for the resolution link.
The date and time the resolution link was created.
The date and time the resolution link expires.
The ID of the partner account this resolution link is associated with.
The recipient contact information for the resolution link.
The current status of the resolution link.
The status of a resolution link.
Possible values:
active,
submitted,
completed,
disabled,
expired
The date and time the resolution link was last updated.
The URL of the resolution link.
The date and time the resolution link was disabled, if applicable.